t = tiledlayout(3,1);
h_title=title(t,'True versus estimated velocities','FontSize',11);
h_title.Interpreter = 'latex';
t.Padding = 'compact';
t.TileSpacing = 'compact';

nexttile
plot(0:h:sim_time,nu(:,1))
hold on
plot(0:h:sim_time,nu_hat(:,1))
y_label = ylabel('$u$ [m/s]','FontSize',11);
y_label.Interpreter = 'latex';
set(gca,'FontSize',11);
h_legend=legend('$u$','$\hat{u}$');
set(h_legend,'Orientation','vertical','location','best','FontSize',...
    11,'Color','None','Interpreter','latex');
% h_title=title('Whole operation','FontSize',11);
% h_title.Interpreter = 'latex';
grid on 
xlim([0,sim_time])
ylim([min(nu(:,1))-0.01,max(nu(:,1))+0.01])
set(gca,'TickLabelInterpreter','latex')
set(gca,'XTickLabel',[])

nexttile
plot(0:h:sim_time,nu(:,2))
hold on
plot(0:h:sim_time,nu_hat(:,2))
y_label = ylabel('$v$ [m/s]','FontSize',11);
y_label.Interpreter = 'latex';
set(gca,'FontSize',11);
h_legend=legend('$v$','$\hat{v}$');
set(h_legend,'Orientation','vertical','location','best','FontSize',...
    11,'Color','None','Interpreter','latex');
grid on
xlim([0,sim_time])
ylim([min(nu(:,2))-0.005,max(nu(:,2))+0.005])
set(gca,'TickLabelInterpreter','latex')
set(gca,'XTickLabel',[])

nexttile
plot(0:h:sim_time,nu(:,3)*180/pi)
hold on
plot(0:h:sim_time,nu_hat(:,3)*180/pi)
x_label = xlabel('Time [s]','FontSize',11);
y_label = ylabel('$r$ [deg/s]','FontSize',11);
x_label.Interpreter = 'latex';
y_label.Interpreter = 'latex';
set(gca,'FontSize',11);
h_legend=legend('$r$','$\hat{r}$');
set(h_legend,'Orientation','vertical','location','best','FontSize',...
    11,'Color','None','Interpreter','latex');
grid on
xlim([0,sim_time])
ylim([min(nu(:,3))*180/pi-0.5,max(nu(:,3))*180/pi+0.5])
set(gca,'TickLabelInterpreter','latex')